Skip to main content
`Ctrl`+`K`

# DMPlexGetMaxSizes

Return the maximum number of in-edges (cone) and out-edges (support) for any point in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMaxSizes(DM dm, PeOp PetscInt *maxConeSize, PeOp PetscInt *maxSupportSize)

Not Collective

## Input Parameter

- dm - The `DMPLEX`

## Output Parameters

- maxConeSize - The maximum number of in-edges

- maxSupportSize - The maximum number of out-edges

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexSetConeSize()`, `DMPlexSetChart()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex11_sa.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages